{
  buildHomeAssistantComponent,
  fetchFromGitHub,
  pkgs,
  namespace,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "vaparr";
  domain = "overseerr";
  version = "0.1.42";

  src = fetchFromGitHub {
    owner = owner;
    repo = "ha-overseerr";
    rev = version;
    hash = "sha256-UvUowCgfay9aRV+iC/AQ9vvJzhGZbH+/1kVjxPFBKcI=";
  };

  propagatedBuildInputs = [
    pkgs.${namespace}.pyoverseerr
  ];

  meta = {
    changelog = "https://github.com/vaparr/ha-overseerr/releases/tag/${version}";
    description = "The Overseerr integration monitors data from your Overseerr instance.";
    homepage = "https://github.com/vaparr/ha-overseerr";
    maintainers = [ ];
  };
}
